Subject: Re: bug#69815: [PATCH] Fix some CSS issues on elpa.gnu.org

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Feb 2025 11:49:09 -0800

john muhl <[email-masked]> writes:

> Here are a few patches fixing some minor issues. The first one
> makes the packages table always full-width and expands the footer
> background so it contains all the footer text (see before.png).
>
> I noticed that with a very narrow view the CSS drops the rank
> column to help fit but it doesn’t help quite enough to prevent
> horizontal overflow (narrow.png). It seems to me that the version
> column is the least important so the second patch changes the
> narrow view to drop it instead of the rank (after.png).
>
> The last patch fixes the doctype for sub-pages. <!DOCTYPE HTML
> PUBLIC> is not a valid doctype and so triggers quirks mode. Not a
> big deal but probably better avoided.

It seems like we agreed to install these patches, except for the one
changing the DOCTYPE.  So I did that, and I'm consequently closing this
bug.